import { listYamlFilesForWorkspace } from "./listYamlFilesForWorkspace";
import { parseYamlFiles } from "./parseYamlFiles";
import { validateStructureOfYamlFiles } from "./validateStructureOfYamlFiles";
export async function parseWorkspaceDefinition({ name, absolutePathToDefinition, }) {
    const files = await listYamlFilesForWorkspace(absolutePathToDefinition);
    const parseResult = await parseYamlFiles(files);
    if (!parseResult.didSucceed) {
        return parseResult;
    }
    const structuralValidationResult = validateStructureOfYamlFiles(parseResult.files);
    if (!structuralValidationResult.didSucceed) {
        return structuralValidationResult;
    }
    return {
        didSucceed: true,
        workspace: {
            name,
            files: structuralValidationResult.validatedFiles,
        },
    };
}
