import { FernConfigurationSchema } from "@fern-api/yaml-schema";
import { RelativeFilePath } from "./types/RelativeFilePath";
import { WorkspaceParser } from "./types/Result";
export declare namespace validateStructureOfYamlFiles {
    type Return = SuccessfulResult | FailedResult;
    interface SuccessfulResult {
        didSucceed: true;
        validatedFiles: Record<RelativeFilePath, FernConfigurationSchema>;
    }
    interface FailedResult {
        didSucceed: false;
        failures: Record<RelativeFilePath, WorkspaceParser.StructureValidationFailure>;
    }
}
export declare function validateStructureOfYamlFiles(files: Record<RelativeFilePath, unknown>): validateStructureOfYamlFiles.Return;
